net.sourceforge.pmd.util.datasource

## Class ZipDataSource

- java.lang.Object
- - net.sourceforge.pmd.util.datasource.ZipDataSource

All Implemented Interfaces:
  DataSource

    public class ZipDataSource
    extends Object
    implements DataSource

DataSource implementation to read data from an entry in a zip or jar file.

### Constructor Summary

Constructors
Constructor and Description
`ZipDataSource(ZipFile zipFile, ZipEntry zipEntry)`

### Method Summary

Methods
`InputStream` `getInputStream()` Get an InputStream on the source file.
`String` `getNiceFileName(boolean shortNames, String inputFileName)` Return a nice version of the filename.

### Methods inherited from class java.lang.Object

`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

### Constructor Detail

#### ZipDataSource

    public ZipDataSource(ZipFile zipFile,
                 ZipEntry zipEntry)

Parameters:
  `zipFile` - the ZipFile
  `zipEntry` - the ZipEntry containing the file to read

### Method Detail

#### getInputStream

    public InputStream getInputStream()
                               throws IOException

Description copied from interface: `DataSource`
Get an InputStream on the source file.

Specified by:
  `getInputStream` in interface `DataSource`
Returns:
  the InputStream reading the source file
Throws:
  `IOException` - if the file can't be opened

#### getNiceFileName

    public String getNiceFileName(boolean shortNames,
                         String inputFileName)

Description copied from interface: `DataSource`
Return a nice version of the filename.

Specified by:
  `getNiceFileName` in interface `DataSource`
Parameters:
  `shortNames` - true if short names are being used
  `inputFileName` - name of a "master" file this file is relative to
Returns:
  String